services:
  satisfactory-server:
    restart: unless-stopped
    image: wolveix/satisfactory-server:latest
    ports:
      - 7777:7777/tcp
      - 7777:7777/udp
      - 15000:15000/tcp
      - 15000:15000/udp
      - 15777:15777/tcp
      - 15777:15777/udp
    volumes:
      - /home/docker/satisfactory/data:/config
    environment:
      - MAX_PLAYERS=4
      - PGID=1000
      - PUID=1000
    networks:
      tan-network:
        ipv4_address: 10.10.0.110
networks:
  tan-network:
    external: true
